Subject: IPP>MOD missing attribute to map job-uri to printer-uri

From: [email-masked] (Robert Herriot)
Date: Fri, 25 Jul 1997 13:43:50 -0700

As I am writing the LPD gateway document, I just realized that
we have no way to determine the printer that a job is on.

The problem occurs when the IPP-to-LPD mapper receives a Cancel-Job.
The operation contains the job-uri only, but the LPD remove-jobs 
command requires a printer-name as the target and the job-number as
a parameter.  The mapping of the job-uri to a job-number is a separate
difficult issue. 

Because the job-uri is opaque, the mapper cannot determine
the corresponding printer from it.  I see two possible solutions:

  o add a mandatory job description attribute called "printer-uri" which
    references the printer containing the job.

  o make all commands have the printer-uri as the target with
    the job-uri as a parameter for operations that currently go to a job.
    This eliminates the need to map from a job to a printer because
    all operations include the printer-uri from which jobs can be obtained.